Subject: [alpine-aports] [PATCH 3/3] testing/inetutils-syslogd: move post-install message

From: Stuart Cardall <[email-masked]>
Date: Wed, 6 May 2015 11:57:19 +0000

unformatted post-install message moved to:
/usr/share/apk-tools/$pkgname/post-install-message
---
 testing/inetutils-syslogd/APKBUILD                 | 30 +++++++++++++++-------
 .../inetutils-syslogd.apk-post-msg                 |  4 +++
 .../inetutils-syslogd.post-install                 | 13 ----------
 3 files changed, 25 insertions(+), 22 deletions(-)
 create mode 100644 testing/inetutils-syslogd/inetutils-syslogd.apk-post-msg
 delete mode 100644 testing/inetutils-syslogd/inetutils-syslogd.post-install

diff --git a/testing/inetutils-syslogd/APKBUILD b/testing/inetutils-syslogd/APKBUILD
index 966fb03..d349b93 100644
--- a/testing/inetutils-syslogd/APKBUILD
+++ b/testing/inetutils-syslogd/APKBUILD
@@ -1,5 +1,5 @@
-# Contributor: IT Offshore <[email-masked]>
-# Maintainer:
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
 pkgname=inetutils-syslogd
 _pkgname=inetutils
 pkgver=1.9.2
@@ -11,14 +11,15 @@ license="GPL3"
 depends=""
 depends_dev=""
 makedepends="$depends_dev readline-dev ncurses-dev"
-install="$pkgname.post-install $pkgname.post-deinstall"
+install="$pkgname.post-deinstall"
 subpackages="$pkgname-doc"
 source="http://ftp.gnu.org/gnu/inetutils/${_pkgname}-${pkgver}.tar.gz
-	inetutils-syslogd.initd
-	inetutils-syslogd.confd
+	$pkgname.initd
+	$pkgname.confd
 	syslog.conf
-	inetutils-syslogd.logrotate
-	inetutils-syslogd.setup
+	$pkgname.logrotate
+	$pkgname.setup
+	$pkgname.apk-post-msg
 	"
 
 _builddir="$srcdir"/$_pkgname-$pkgver
@@ -76,17 +77,28 @@ package() {
                 "$pkgdir"/etc/logrotate.d/inetutils-syslogd || return 1
 	install -m755 -D "$srcdir"/inetutils-syslogd.setup \
                 "$pkgdir"/sbin/setup-inetutils-syslogd || return 1
+	mkdir -p "$pkgdir/usr/share/apk-tools/$pkgname"
+        install -m644 "$srcdir/$pkgname.apk-post-msg" "$pkgdir/usr/share/apk-tools/$pkgname/post-install-message" || return 1
 }
 
+md5sums="aa1a9a132259db83e66c1f3265065ba2  inetutils-1.9.2.tar.gz
+6f0deb2a07439638161d03fd887d4fad  inetutils-syslogd.initd
+edf3f502d9f2bf49c5da8cb37a927d06  inetutils-syslogd.confd
+9c9998ff341c48322ffdc8f48fa018cf  syslog.conf
+842e971153c19cb328db2cc6e22a7baf  inetutils-syslogd.logrotate
+751bda34989e3a7baff0621a3450cea3  inetutils-syslogd.setup
+c0a22ee577f6807ddcd88b9277b735a5  inetutils-syslogd.apk-post-msg"
 sha256sums="0423ea40a160cd4630f817e247df5c08ecc625378d2bb56a0509117a36a89913  inetutils-1.9.2.tar.gz
 1cf71f3656dceba3ddf0543a43a98e644a0b42999ba80b9f72318ee578c9ff53  inetutils-syslogd.initd
 86105f0a0105f50275f7381b5d7fe603b8d854a0e6753c2f06f6d0c234562948  inetutils-syslogd.confd
 0b3f080466437a068d1627a00a5abdf494fdefa2e17821b993462d0310e60cc3  syslog.conf
 f2afe7dad8cd933fbd213b20f09127096f8798698874b2ead2d47a6509f95f6c  inetutils-syslogd.logrotate
-7747b585eddc9f7bd7cff0d23d785ba7efdbbb4f67781b23279f881272a4d559  inetutils-syslogd.setup"
+7747b585eddc9f7bd7cff0d23d785ba7efdbbb4f67781b23279f881272a4d559  inetutils-syslogd.setup
+efafdde5c170f8158f06f95b71efa6c61d1776d328a81a54043b2e6c5856b310  inetutils-syslogd.apk-post-msg"
 sha512sums="5584219aba4c4fc035776adf88f0e3e7f5553d35b0142b8633aa21f135b31df1545e40d5ea54ec90dbcc8410dbc9924fb845f8e28daba0d783630a9201e63cbf  inetutils-1.9.2.tar.gz
 e70d0e244fcc30e94f846b82b4ec7318b5582f512bd715fb5bd9178d7be5ede0e5b53e29431a2db5177ce2f31fc306900b3a1297a658e84b2671f3ad5153b81c  inetutils-syslogd.initd
 82968692b4fe79706aacaeb1021b343288dc4f1d86925481796dac1f743a8269976ce86bf446cd0c16d246b918e5822e312660b201407eb7031a17cb398c9513  inetutils-syslogd.confd
 d9c61aee1a3f2c7cf7b06dfda08599c08f1f618ba092e60adff11e9cbe5be847544780eaa9e4bb54a70c5e5bc243fed3d6ff8111878f073b41629db4245b135c  syslog.conf
 ffe2b1fd6b9d4dc9e378f0c857be318ec86e48aee17ede865656bdf9a5da3d2f3a8ffe788cd62794132839577ab6ce1ce7fe3a964bc21e0f8b698827a9ee5817  inetutils-syslogd.logrotate
-89ee7b84b79575140d38cb08bde1238366aad53977408ddf9f659922618a1716ad8e6367b6ca9712178ac9e9d26639dffca8f5ea1e46bda5c571029e80bc42ee  inetutils-syslogd.setup"
+89ee7b84b79575140d38cb08bde1238366aad53977408ddf9f659922618a1716ad8e6367b6ca9712178ac9e9d26639dffca8f5ea1e46bda5c571029e80bc42ee  inetutils-syslogd.setup
+f17dbd1ff373f156508d974a5465cae1d39bea1bfdec3f97907ab5269d97eaf5d3ea3f245e0a3a97894d3797fb198864de2c31689affed26f8a46955cd5d89bc  inetutils-syslogd.apk-post-msg"
diff --git a/testing/inetutils-syslogd/inetutils-syslogd.apk-post-msg b/testing/inetutils-syslogd/inetutils-syslogd.apk-post-msg
new file mode 100644
index 0000000..216eda0
--- /dev/null
+++ b/testing/inetutils-syslogd/inetutils-syslogd.apk-post-msg
@@ -0,0 +1,4 @@
+To configure inetutils-syslogd / BusyBox Syslog Services & Runlevels execute:
+
+/sbin/setup-inetutils-syslogd
+
diff --git a/testing/inetutils-syslogd/inetutils-syslogd.post-install b/testing/inetutils-syslogd/inetutils-syslogd.post-install
deleted file mode 100644
index 5a327cb..0000000
--- a/testing/inetutils-syslogd/inetutils-syslogd.post-install
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-NORMAL="\033[1;0m"
-STRONG="\033[1;1m"
-GREEN="\033[1;32m"
-
-print_strong() {
-	local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
-        printf "${prompt} %s\n"
-}
-
-print_strong "\nTo configure inetutils-syslogd / BusyBox Syslog Services & Runlevels execute:" "\n\n/sbin/setup-inetutils-syslogd\n"
-exit 0
-- 
2.4.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---